## ganeti-2.15 2.15.2

=== debian/changelog ===
ganeti-2.15 (2.15.2-15) unstable; urgency=medium

  * Restore compatibility with QEMU 3.1

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 22 Feb 2019 11:21:06 +0200

ganeti-2.15 (2.15.2-14) unstable; urgency=medium

  * Fix FTBFS with Sphinx 1.8 (Closes: #922252)
  * Fix service control with s-s-d from dpkg >= 1.19.4
  * Bump Standards-Version to 4.3.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 14 Feb 2019 15:38:39 +0200

ganeti-2.15 (2.15.2-13) unstable; urgency=medium

  * Specify IP_PATH at configure time.
    Makes build consistent across usrmerged and non-usrmerged systems.
    Thanks to Andreas Henriksson! (Closes: #915843)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 07 Dec 2018 18:27:03 +0200

ganeti-2.15 (2.15.2-12) unstable; urgency=medium

  * Allow newer haskell-temporary versions
  * Cabal 2.0-2.2 compatibility
  * GHC 8.4/base 4.11 compatibility
  * hinotify 0.3.10 compatibility

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 22 Nov 2018 15:51:16 +0200

ganeti-2.15 (2.15.2-11) unstable; urgency=medium

  * Re-upload to unstable to facilitate upgrades from Stretch due to libcurl3
    vs libcurl4 conflict (Closes: #905176).
  * Rename source to ganeti-2.15. The source and binary packages will be
    removed after Buster has been released.
  * Build only the versioned packages (ganeti-2.15, ganeti-haskell-2.15,
    ganeti-htools-2.15) to provide an upgrade path from Stretch to Buster.
  * Base off the last 2.15 version in unstable with additional packaging
    changes and patches backported from 2.16, including:
    + Fix fcntl call on i386
    + Make sure the OVF tests don't write to the build tree
    + Fix race condition in QA suite
    + Relax sphinx version check regex
    + template-haskell 2.12 compatibility
    + Cabal 2.0 compatibility
    + Fix FTBFS with Sphinx 1.7
    + Sign generated certificates using SHA256 instead of SHA1 (Closes: #907216)
    + Make ganeti Priority: optional
    + Properly verify SSL certificates during VM export (Closes: #895599)
      • Also cherry-pick upstream commit 5f90a0f that was previously left out
  * Bump Standards-Version to 4.2.1; no changes needed
  * Do not generate dbgsym packages; DWARF support is currently broken in GHC
    and Haskell binaries do not contain useful symbols without it.
  * Drop d/NEWS; it is irrelevant in the scope of the remaining packages
  * Drop the autopkgtests; none of the tests can run without the `ganeti'
    package.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 31 Aug 2018 15:52:03 +0300

ganeti (2.15.2-10) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.5 (Closes: #868601)
  * Fix failover from dead nodes when using extstorage (Closes: #864756)
  * Fix KVM CPU affinity setting (Closes: #864754)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 02 Aug 2017 21:21:09 -0400

ganeti (2.15.2-9) unstable; urgency=medium

  * Drop B-D on libghc-cabal-dev (Closes: #865818).
  * d/patches/ghc8-fixes: fix FTBFS with ghc 8.0.2.
  * Bump Standards to 4.0.0; no changes needed.
  * B-D on debhelper 10 and bump compat to 10; also remove dh-autoreconf, now
    included and run by default.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 Jun 2017 00:08:21 +0300

ganeti (2.15.2-8) unstable; urgency=medium

  * Bump Standards to 3.9.8; no changes needed
  * ganeti: Depend on lsb-base (>= 3.0-6) for init-functions
  * Backport support for non-DSA SSH keys (Closes: #853129)
    + non-DSA-SSH-key-support.patch: backport upstream work from the
      (unreleased as of today) stable-2.16 branch.
    + fix-ssh-key-renewal-on-single-node-clusters.patch: fix gnt-cluster
      renew-crypto --new-ssh-keys on single-node clusters.
    + set-defaults-for-ssh-type-bits.patch: transparently handle the new SSH
      key type/length parameters without running cfgupgrade.
  * Document the new SSH key support in d/NEWS.
  * Update project Homepage (Closes: #862829)
  * Fix pre-migration check bug causing failure when migrating between different
    hypervisor versions and running luxid as non-root. Note that this does not
    mean that migrations between different hypervisor versions are safe and/or
    suppported.
  * Fix instance import/export/move with current socat versions, by dropping
    the SSL method= socat option and letting socat/OpenSSL pick the best
    available.
  * d/copyright: bump years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 23 May 2017 15:49:40 +0300

ganeti (2.15.2-7) unstable; urgency=medium

  * Drop dependency on MonadCatchIO-transformers (Closes: #844970)
  * d/patches/ghc8-fixes: fix FTBFS with GHC 8.
  * d/patches/snap-server-1.0-compat: patch MetaD to fix FTBFS with
    snap-server 1.0. Thanks to Yannis Tsiouris for the patch!
  * Fix cabal masking logic to work with newer cabal-install versions.
  * ganeti: Recommend xen-system-amd64 instead of xen-linux-system-amd64 |
    xen-linux-system-686-pae (Closes: #847290)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Dec 2016 17:40:29 +0200

ganeti (2.15.2-6) unstable; urgency=medium

  * Auto-detect the cabal library version used by cabal and force the exact
    same version to be used for parsing dist/setup-config. This currently
    fixes FTBFS on mips64el and should make building ganeti more robust.
  * Re-introduce the versioned dependency on libghc-cabal-dev to have both
    cabal library versions (ghc and external) available on the system.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 24 Jul 2016 21:51:40 +0300

ganeti (2.15.2-5) unstable; urgency=medium

  * d/control: use libghc-cabal-dev only on amd64; this is a temporary
    workaround for #832144.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 22 Jul 2016 23:00:02 +0300

ganeti (2.15.2-4) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.4 (Closes: #829186)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 09 Jul 2016 10:13:13 +0200


