=== debian/control ===
Source: ganeti-2.15
Section: admin
Priority: optional
Maintainer: Debian Ganeti Team <ganeti@packages.debian.org>
Uploaders: Guido Trotter <ultrotter@debian.org>,
 Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python,
 m4,
 pandoc,
 python-all,
 ghc (>= 6.12),
 ghc-ghci,
 cabal-install,
 libghc-case-insensitive-dev,
 libghc-curl-dev,
 libghc-json-dev,
 libghc-snap-server-dev,
 libghc-network-dev,
 libghc-parallel-dev,
 libghc-utf8-string-dev,
 libghc-deepseq-dev,
 libghc-hslogger-dev,
 libghc-crypto-dev,
 libghc-text-dev,
 libghc-hinotify-dev (>= 0.3.10),
 libghc-base64-bytestring-dev (>= 1.0.0.0),
 libghc-zlib-dev,
 libghc-regex-pcre-dev,
 libghc-attoparsec-dev,
 libghc-vector-dev,
 libghc-lifted-base-dev,
 libghc-lens-dev,
 libghc-psqueue-dev,
 libghc-test-framework-quickcheck2-dev,
 libghc-test-framework-hunit-dev,
 libghc-temporary-dev,
 libghc-old-time-dev,
 libpcre3-dev,
 libcurl4-openssl-dev,
 python-simplejson,
 python-pyparsing,
 python-openssl,
 python-bitarray,
 python-pyinotify,
 python-pycurl,
 python-paramiko,
 python-ipaddr,
 python-sphinx (>= 1.0.7+dfsg),
 graphviz,
 qemu-utils,
 socat,
 iproute2 | iproute,
 bash-completion,
 po-debconf
Standards-Version: 4.3.0
Homepage: http://www.ganeti.org/
Vcs-Browser: https://salsa.debian.org/ganeti-team/ganeti/tree/master-2.15
Vcs-Git: https://salsa.debian.org/ganeti-team/ganeti.git -b master-2.15

Package: ganeti-2.15
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python,
 lvm2,
 openssh-client,
 openssh-server,
 bridge-utils,
 iproute2 | iproute,
 iputils-arping,
 openssl,
 python-simplejson,
 python-pyparsing,
 python-openssl,
 python-pyinotify,
 python-pycurl,
 python-paramiko,
 python-bitarray,
 python-ipaddr,
 python-fdsend,
 python-psutil,
 socat,
 fping,
 adduser,
 debconf | debconf-2.0
Provides: ${python:Provides}
Description: cluster virtualization manager - Python components (2.15)
 Ganeti is a virtual server cluster management tool built on top of the
 Xen and KVM virtualization technologies and other free software. It
 provides an automated environment to manage highly available virtual
 machine instances.
 .
 It is designed to facilitate cluster management of virtual servers using
 commodity hardware, and to provide fast and simple recovery after physical
 failures. It can take care of operations such as redundant disk creation
 and management, operating system installation (in cooperation with
 OS-specific install scripts), startup, shutdown, and failover of instances
 between physical systems.
 .
 This package provides all architecture-independent components of Ganeti 2.15
 and is provided only to facilitate upgrades from Stretch to Buster.

Package: ganeti-haskell-2.15
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
Description: cluster virtualization manager - Haskell components (2.15)
 Ganeti is a virtual server cluster management tool built on top of the
 Xen and KVM virtualization technologies and other free software. It
 provides an automated environment to manage highly available virtual
 machine instances.
 .
 It is designed to facilitate cluster management of virtual servers using
 commodity hardware, and to provide fast and simple recovery after physical
 failures. It can take care of operations such as redundant disk creation
 and management, operating system installation (in cooperation with
 OS-specific install scripts), startup, shutdown, and failover of instances
 between physical systems.
 .
 This package provides the architecture-dependent components of Ganeti 2.15
 written in Haskell and is provided only to facilitate upgrades from Stretch to
 Buster.

Package: ganeti-htools-2.15
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cluster virtualization manager - tools for Ganeti 2.15
 Ganeti is a virtual server cluster management tool built on top of the
 Xen and KVM virtualization technologies and other free software. It
 provides an automated environment to manage highly available virtual
 machine instances.
 .
 This package provides additional tools used for enhanced allocation,
 maintenance and capacity calculation on Ganeti clusters.
 .
 The tools provided are:
  * hail: advanced instance allocator;
  * harep: tool for automatically repairing Ganeti clusters;
  * hbal: automatic cluster balancing tool;
  * hinfo: print cluster information;
  * hroller: rolling maintenance/reboot scheduler for Ganeti nodes;
  * hscan: used to gather cluster files for offline use in hbal/hspace;
  * hspace: cluster capacity calculator.
 .
 This package provides the version intended for use on systems that are part
 of a Ganeti 2.15 cluster.
